"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFixCommand = void 0;
const util_1 = require("../util");
function createFixCommand(deps) {
    const { formatter, linter, git } = deps;
    return {
        execute() {
            return __awaiter(this, void 0, void 0, function* () {
                let changedFiles = (yield git.findChangedFiles()).filter(util_1.isTypescriptFile);
                let success = yield formatter.formatFiles(changedFiles);
                if (success) {
                    success = yield linter.lintOnce(true, changedFiles);
                }
                return success;
            });
        },
    };
}
exports.createFixCommand = createFixCommand;
//# sourceMappingURL=fix.js.map