"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPostCheckoutCommand = void 0;
const helpers_1 = require("../helpers");
function createPostCheckoutCommand(deps) {
    const { logger } = deps;
    return {
        execute(options) {
            try {
                logger.log("hooks", "postcheckout git hook running");
                let { previousHead } = options;
                if (previousHead === "%1") {
                    previousHead = "ORIG_HEAD";
                }
                if ((0, helpers_1.packageJsonChanged)(previousHead, "HEAD")) {
                    logger.log("hooks", "Running npm install...");
                    (0, helpers_1.npmInstall)();
                }
                else {
                    logger.log("hooks", "No need to run npm install");
                }
            }
            catch (error) {
                logger.error("hooks", `post-checkout hook failed, continuing anyway ${error.message}`);
            }
            return Promise.resolve(true);
        },
    };
}
exports.createPostCheckoutCommand = createPostCheckoutCommand;
//# sourceMappingURL=post-checkout.js.map